<?php
## shoutcasthack by bikky on ##
$server = "server34050.streamplus.de"; //hier deinen server eintragen z.b. musik.de oder 213.61.885.8
$port = 10516; //hier den port eintragen (ist standart 8000)
    $fp = @fsockopen($server, $port, $errno, $errstr, 30);
    
    if ($fp) {
        fputs($fp, "GET /7.html HTTP/1.0\r\nUser-Agent: XML Getter (Mozilla Compatible)\r\n\r\n");
        while(!feof($fp))
            $page .= fgets($fp, 3000);
        fclose($fp);
        $page = ereg_replace(".*<body>", "", $page);
        $page = ereg_replace("</body>.*", ",", $page);
        $numbers = explode(",", $page);
        $shoutcast_currentlisteners = $numbers[0]; //variable ueber die aktuelle anzahl der zuhoerer
        $connected = $numbers[1]; //variable zum anzeigen ob ein sender verbunden sind
        if($connected == 1) {
            $radio_status = 1; //variable zum anzeigen ob radio an ist oder nicht
            $wordconnected = "yes"; //zusaetzliche variable die ich brauchte ;)
        }
        else
            $wordconnected = "no"; //zusaetzliche variable die ich brauchte
        $shoutcast_peaklisteners = $numbers[2]; //variable die die anzahl der peaks angiebt
        $shoutcast_maxlisteners = $numbers[3]; //variable ueber die maximal moegliche anzahl der zuhoerer
        $shoutcast_reportedlisteners = $numbers[4]; //
        $shoutcast_bitrate = $numbers[5]; //bitrate ;)
        $shoutcast_cursong = $numbers[6]; //aktueller song 
        $shoutcast_curbwidth = $shoutcast_bitrate * $shoutcast_currentlisteners; //gesamtbandbreite
        $shoutcast_peakbwidth = $shoutcast_bitrate * $shoutcast_peaklisteners; //gesamtpeakbandbreite
    }

## output on ##    
if ($radio_status == 1) {

echo "Player mit Videostream";
	//echo 'Anzahl der hoerer: ' . $shoutcast_currentlisteners . '<br />';
	//echo 'Gesamtbandbreite: ' . $shoutcast_curbwidth . ' kb/s<br />';
	//echo 'Bitrate: ' . $shoutcast_bitrate .' kb/s <br />';
	//echo 'Zuhoerer Peak: ' . $shoutcast_peaklisteners . '<br />';
	//echo 'Bandbreite Peak: ' . $shoutcast_peakbwidth . ' kb/s<br />';
	//echo 'Max. moegliche Zuhoerer: ' . $shoutcast_maxlisteners . '<br />';
	//echo 'Aktueller Song: >>' . $shoutcast_cursong . '<< <br />';
}	
	else {
		echo "Player ohne Videostream";
}
echo '</body></html>';
## output off ##
## shoutcasthack by bikky off ##
?>